# -*- coding: utf-8 -*-

# Copyright (c) 2004 - 2007 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Compatibility module to use the KDE Message Box instead of the Qt Message Box.
"""

import os

import Preferences

try:
    raise ImportError
except (ImportError, RuntimeError):
    os.environ["e4nokde"] = "1"

    from PyQt4.QtGui import QMessageBox
    
    KQMessageBox = QMessageBox
    
    about = QMessageBox.about
    aboutQt = QMessageBox.aboutQt
    
    information = QMessageBox.information
    warning = QMessageBox.warning
    critical = QMessageBox.critical
    question = QMessageBox.question
