# -*- coding: utf-8 -*-

# Copyright (c) 2006 - 2007 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing some common utility functions for the pysvn package.
"""

import time

def formatTime(seconds):
    """
    Module function to return a formatted time string.
    
    @param seconds time in seconds since epoch to be formatted (long)
    @return formatted time string (string)
    """
    return time.strftime("%Y-%m-%d %H:%M:%S %Z", time.localtime(seconds))
