# -*- coding: utf-8 -*-

# Copyright (c) 2003 - 2007 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Package implementing the wizard interface.

It defines the interface to be implemented by individual wizards 
and common wizard methods.

Several different wizards are delivered with the eric4 distribution.
These are:
    <ul>
    <li>a color dialog wizard</li>
    <li>a file dialog wizard</li>
    <li>a font dialog wizard</li>
    <li>an input dialog wizard</li>
    <li>a message box wizard</li>
    <li>a QRegExp wizard</li>
    <li>a Python re wizard</li>
    </ul>
"""
